#include <iostream>

using namespace std;

int main()
{
	int T,N,M,i,j,k,dalje,p,n,m;
	int niz1[10],niz0[10],x[N],y[M];
	cin>>T;
	for(i=0;i<T;i++)
	{
		cin>>N;
		cin>>M;
		j=0;
		do
		{
			cin>>niz1[j];
			j++;
		}while(j<N);
		for(dalje=1,n=0; n<N-1 && dalje; n++)
		{
			for(dalje=0, m=N-1; m>n; m--)
			{
				if(niz1[m-1]>niz1[m])
				{
					p=niz1[m-1];
					niz1[m-1]=niz1[m];
					niz1[m]=p;
					dalje=1;					
				}
			}
		}
		x[i]=niz1[1]-niz1[0];
		
		k=0;
		do
		{
			cin>>niz0[j];
			k++;
		}while(k<M);
		for(dalje=1,n=0;n<N-1 && dalje;n++)
		{
			for(dalje=0, m=N-1;m>n;m--)
			{
				if(niz0[m-1]>niz0[m])
				{
					p=niz0[m-1];
					niz0[m-1]=niz0[m];
					niz0[m]=p;
					dalje=1;					
				}
			}
		}
		y[i]=niz0[1]-niz0[0];
		
	}
	for(i=0;i<T;i++)
	{
		if(x[i]!=y[i])
			cout<<1<<endl;
		else
			cout<<0<<endl;
	}
}